System Requirements
Recommended OS:
Windows Vista or later
OSX 10.5 or later
Recommended Browsers:
IE 8.0 or later
Firefox 3.0 or later
Google Chrome 5.0 or later
Safari 3.0 or later